/* $Id: ibuf_status.c 616 2005-08-19 20:11:01Z bruce $ */
#include "ibuf.h"

/** Test if the \c ibuf has reaced end of file. */
int ibuf_eof(ibuf* in)
{
  return (in->io.flags & IOBUF_EOF) &&
    (in->io.bufstart >= in->io.buflen);
}
